export default function (api) {
    return {
        rating: {
            /**
             * @name          defaultColor
             * @namespace     config.themeUi.rating
             * @type          String
             * @default      [theme.ui.default.defaultColor]
             *
             * Specify the default color for rating ui
             *
             * @since       2.0.0
             * @author 	                Olivier Bossel <olivier.bossel@gmail.com> (https://coffeekraken.io)
             */
            get defaultColor() {
                return api.theme.ui.default.defaultColor;
            },

            /**
             * @name          defaultStyle
             * @namespace     config.themeUi.rating
             * @type          Number
             * @default      [theme.ui.default.defaultStyle]
             *
             * Specify the default style for your rating ui
             *
             * @since       2.0.0
             * @author 	                Olivier Bossel <olivier.bossel@gmail.com> (https://coffeekraken.io)
             */
            get defaultStyle() {
                return api.theme.ui.default.defaultStyle;
            },

            /**
             * @name          rhythmVertical
             * @namespace     config.themeUi.datetimePicker
             * @type          Object
             * @default      [theme.ui.default.rhythmVertical]
             *
             * Specify the default vertical rhythm for your datetime picker ui
             *
             * @since       2.0.0
             * @author 	                Olivier Bossel <olivier.bossel@gmail.com> (https://coffeekraken.io)
             */
            get rhythmVertical() {
                return api.theme.ui.default.rhythmVertical;
            },
        },
    };
}
